<!-- OLD FUNCTIONS ! - should be removed later -->
{% extends 'index.html' %}
{% load static %}

{% block title %}
  {% if field_perms.order.number_buh %} Заказ №{{ order.number_buh }} {% else %} - {% endif %}/ {% if field_perms.order.order_type %} {{ order.get_order_type_display }} {% else %} - {% endif %}
{% endblock title %}
{% block page %}
  <div class="order-detail">
    <div class="section section_default">
      <div class="section__content">
        <div id="order-detail-header" class="order-detail__header header header_controls">
          <div class="header__main">
            <h1>{% if field_perms.order.number_buh %} Заказ №{{ order.number_buh }} {% else %} - {% endif %}/ {% if field_perms.order.order_type %} {{ order.get_order_type_display }} {% else %} - {% endif %}</h1>
            <div class="order-detail__status">
              <h3 class="order-detail__date">{% if field_perms.order.date_start %} {{ order.date_start|default:'' }} {% endif %} — {% if field_perms.order.date_end %} {{ order.date_end|default:'' }} {% endif %}</h3>
              {% if field_perms.order.status and not order.status_closing %}
                <div class="status
                  {% if order.get_status_display == 'новый' %} status_new
                  {% elif order.get_status_display == 'в очереди' %} status_waiting
                  {% elif order.get_status_display == 'в работе' %} status_progress
                  {% elif order.get_status_display == 'отложен'%} status_paused
                  {% elif order.get_status_display == 'выполнен'%} status_done
                  {% elif order.get_status_display == 'выдан клиенту'%} status_to_client
                  {% elif order.get_status_display == 'перепроверен'%} status_recheck
                  {% elif order.get_status_display == 'готов к выдаче'%} status_ready_extradition
                  {% elif order.get_status_display == 'отказ'%} status_renunciation
                  {% endif %}">
                  {{ order.get_status_display }}
                </div>
              {% elif field_perms.order.status_closing and order.status_closing %}
                <div class="status status_closed">закрыт</div>
              {% endif %}
              {% if field_perms.order.canceled and order.canceled %}<div class="status status_cancelled">отменен</div>{% endif %}
              <div class="status status_done"> {{ order.get_status_pay }}</div>
            </div>
          </div>
          {% if perms.order.change_order or perms.order.delete_order %}
          <div class="header__controls">
            <div class="dropdown">
              <div class="dropdown__control" @click="openDropdown">
                <div class="btn btn_m btn_square btn_primary">
                  <div class="btn__icon icon icon_24">
                    <svg>
                      <use xlink:href="#icon_menu_24"></use>
                    </svg>
                  </div>
                </div>
              </div>
              <div class="dropdown__content">
                <div class="menu-controls">
                  {% if perms.order.change_order %}
                    <div class="menu-controls__item"><a class="menu-controls__link" href="{% url 'lk:order_edit' order.id %}">Редактировать</a></div>
                  {% endif %}
                  {% if perms.order.delete_order %}
                    <div class="menu-controls__item"><a class="menu-controls__link" @click="removeOrder({{ order.pk }})" style="cursor: pointer;">Удалить</a></div>
                  {% endif %}
                </div>
              </div>
            </div>
          </div>
          {% endif %}
        </div>
        <div id="order-detail-tabs" class="order-detail__tabs" v-cloak>
          <div class="tabs tabs_default">
            {% if perms.service.view_podborauto or request.user.is_expert%}
              {% url 'lk:order_detail' order.id as order_detail %}
              <div class="tabs__item {% if request.get_full_path == order_detail %} tabs__item_active {% endif %}">
                <a class="tabs__link link" href="{% url 'lk:order_detail' order.id %}">
                  <h4 class="tabs__title">О заказе</h4>
                </a>
              </div>
            {% endif %}
            {% if perms.service.view_podborauto %}
              {% url 'lk:ppk_list' order.id as ppk_list %}
              <div class="tabs__item {% if request.get_full_path == ppk_list %} tabs__item_active {% endif %}">
                <a class="tabs__link link" href="{% url 'lk:ppk_list' order.id %}">
                  <h4 class="tabs__title">Критерии<span class="tabs__count">${ ppkCount }</span></h4>
                </a>
              </div>
            {% endif %}
            {% if perms.auto.view_auto  or request.user.is_expert%}
              {% url 'lk:auto_list' order.id as auto_list %}
              <div class="tabs__item {% if request.get_full_path == auto_list %} tabs__item_active {% endif %}">
                <a class="tabs__link link" href="{% url 'lk:auto_list' order.id %}">
                  <h4 class="tabs__title">Проверенные авто<span class="tabs__count">${ carsCount }</span></h4>
                </a>
              </div>
            {% endif %}
            {% if perms.report.view_reportpodbor %}
              {% url 'lk:report_list' order.id as report_list %}
              <div class="tabs__item {% if request.get_full_path == report_list %} tabs__item_active {% endif %}">
                <a class="tabs__link link" href="{% url 'lk:report_list' order.id %}">
                  <h4 class="tabs__title">Отчеты<span class="tabs__count">${ reportsCount }</span></h4>
                </a>
              </div>
            {% endif %}
            {% if not request.user.is_client and not request.user.is_expert %}
              {% url 'lk:order_log' order.id as order_log %}
              <div class="tabs__item {% if request.get_full_path == order_log %} tabs__item_active {% endif %}">
                <a class="tabs__link link" href="{% url 'lk:order_log' order.id %}">
                  <h4 class="tabs__title">Лог событий<span class="tabs__count">${ logsCount }</span></h4>
                </a>
              </div>
            {% endif %}
          </div>
        </div>
        {% if action_button and action_button.name != "Добавить отчет" %}
          <a class="btn btn_s btn_primary btn_inline mb_m" href="{{ action_button.url }}">
            <div class="btn__title">{{ action_button.name }}</div>
          </a>
        {% endif %}
        {% block content %} {% endblock %}
      </div>
    </div>
  </div>
{% endblock %}


{% block not-compressed-js %}
  {{ block.super }}
  <script>
    var order_id = {{ order.id }};
  </script>
{% endblock %}

{% block script %}
  {{ block.super }}
  <script src="{% static 'assets/js/order/order-detail.js' %}"></script>
{% endblock %}
